    # File lib/fog/ecloud/requests/compute/virtual_machine_import.rb, line 6
            def validate_import_server_options(template_uri, options)
              required_opts = [:name, :cpus, :memory, :row, :group, :network_uri, :catalog_network_name]
              unless required_opts.all? { |opt| options.has_key?(opt) }
                raise ArgumentError.new("Required data missing: #{(required_opts - options.keys).map(&:inspect).join(", ")}")
              end

              options[:network_uri] = options[:network_uri].is_a?(String) ? [options[:network_uri]] : options[:network_uri]
              options[:template_uri] = template_uri
              options
            end